Healpix 2.01 problem with high nside and ifort

Use of Healpix, camb, CLASS, cosmomc, compilers, etc.
Post Reply
Siddharth S. Malu
Posts: 1
Joined: June 10 2008
Affiliation: IUCAA, Pune, India

Healpix 2.01 problem with high nside and ifort

Post by Siddharth S. Malu » June 10 2008

Hello,

I am trying to run HEALPix on one node of our cluster, having compiled it with mpif90. Everything works fine for low nside, but for nside 256 and higher, plmgen exits with the following error:

Parser: outfile = !plm.fits <default>
4307.56 Mbytes
allocated
MPI Application rank 0 killed before MPI_Init() with signal 11

With ifort, the compilation exits with the following error:

/usr/local/intel/fc/bin/ifort -O3 -I/data/home/siddharth/research2/Healpix_2.01/include -Vaxlib -cm -w -vec_report0 -openmp -o /data/home/siddharth/research2/Healpix_2.01/bin/anafast anafast.o -L/data/home/siddharth/research2/Healpix_2.01/lib -L/data/home/siddharth/cfitsio -lhealpix -lgif -lcfitsio
ld: skipping incompatible /data/home/siddharth/research2/Healpix_2.01/lib/libgif.a when searching for -lgif
ld: cannot find -lgif
make[1]: *** [/data/home/siddharth/research2/Healpix_2.01/bin/anafast] Error 1

Is there something obvious I am not doing correctly?

Thanks very much.

Siddharth

Post Reply